View Issue Details

IDProjectCategoryView StatusLast Update
0013908MediaMonkey 5Extensions frameworkpublic2021-10-18 14:00
Reporterpeke Assigned To 
PriorityurgentSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product Version5.1 
Summary0013908: Extensions: Addons Site browsable directly from MMW
DescriptionCurrently Extensions/addons is not easily searchable/accessible from MM UI directly.

Along with Tools -> Extensions It could be wise to Make it available on Tree as Root also.

Tree listing should show Number of updated installed plugins in corresponding nodes

NOTE: Track Browser UI and functionality is handled in #13909

TagsNo tags attached.
Fixed in build

Relationships

related to 0013903 feedbackjiri MediaMonkey 5 Extensions: MM5 Extension Tweaks 
related to 0018342 resolvedLudek MediaMonkey 5 Addons Dialog actions should be clearer 
related to 0017283 resolvedLudek MediaMonkey 5 Addons: functionality is duplicated in 2 locations 
related to 0014042 resolvedjiri MediaMonkey 5 Facilitate installation of popular extensions for certain functionality that isn't included by default 
related to 0017143 resolvedLudek MediaMonkey 5 Add dedicated Addons panel in dlgOptions 
related to 0018433 closedLudek MediaMonkey 5 Add 'Update available' to addon's filter 
Not all the children of this issue are yet resolved or closed.

Activities

peke

2017-01-15 07:42

developer  

ExtensionsTreeView.png (51,798 bytes)   
ExtensionsTreeView.png (51,798 bytes)   

peke

2017-01-15 09:19

developer  

MM Addons Listing.json (2,470 bytes)

peke

2017-01-15 09:20

developer  

MM Addons Listing.jpg (86,934 bytes)   
MM Addons Listing.jpg (86,934 bytes)   

Ludek

2021-10-06 17:30

developer   ~0065005

Last edited: 2021-10-06 17:45

Assigned to me to implement the client side on a testing JSON.

As for the UI, we could start using existing Addons dialog and modify current

Show: [All|Skins|Metadata|Visualization|....] Search: _______

to

Show: [Installed|Not installed] Category: [All|Skins|Metadata|Visualization|....] Search: _______


Note: We might want to add the tree granularity later (once we have more addons)

peke

2021-10-06 18:40

developer   ~0065007

Last edited: 2021-10-06 18:44

in addition to 0013908:0065005 bug 0013903 should cover some behavioral issues within dialog especially point 5. where user can easily disable addon without uninstalling, which is very useful for debugging and testing of addons.